--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: True if the migration has already been run
full_name: DataMapper::Migration#needs_down?
is_singleton: false
name: needs_down?
params: ()
visibility: public
